# Uses of Interface
org.eclipse.birt.report.engine.api.IResultMetaData

Packages that use IResultMetaData
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.

## Uses of IResultMetaData in org.eclipse.birt.report.engine.api

Methods in org.eclipse.birt.report.engine.api that return IResultMetaData
Modifier and Type
Method
Description
`IResultMetaData`
IDataIterator.`getResultMetaData()`
Returns the metadata of this result set's detail row.
`IResultMetaData`
IExtractionResults.`getResultMetaData()`
Returns the metadata of the first or current result set
This method provides the result metadata without having to first fetch the result data.
`IResultMetaData`
IResultSetItem.`getResultMetaData()`
return the result meta data.